aboutsummaryrefslogtreecommitdiffstats
path: root/dunst/.config/herbstluftwm/autostart.d/dunst.sh
diff options
context:
space:
mode:
authorGravatar Tom Willemse2020-11-13 23:21:48 -0800
committerGravatar Tom Willemse2020-11-13 23:21:48 -0800
commit55be69cca8472b2a39f0d5bb00b5c5287fa62843 (patch)
treeff3518e9976753f8199a9d2b13c68f2917a333c6 /dunst/.config/herbstluftwm/autostart.d/dunst.sh
parent83358d1f5cace677bc0ef9e3834261f3999c94ff (diff)
downloadnew-dotfiles-55be69cca8472b2a39f0d5bb00b5c5287fa62843.tar.gz
new-dotfiles-55be69cca8472b2a39f0d5bb00b5c5287fa62843.zip
Mode dunst keyboard shortcuts
The keyboard shortcuts defined in the configuration file have been deprecated, instead dunst now comes with a ‘dunstctl’ command that should be used.
Diffstat (limited to 'dunst/.config/herbstluftwm/autostart.d/dunst.sh')
-rwxr-xr-xdunst/.config/herbstluftwm/autostart.d/dunst.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/dunst/.config/herbstluftwm/autostart.d/dunst.sh b/dunst/.config/herbstluftwm/autostart.d/dunst.sh
new file mode 100755
index 0000000..384706a
--- /dev/null
+++ b/dunst/.config/herbstluftwm/autostart.d/dunst.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env zsh
+
+if ! whence hc; then
+ hc() { herbstclient "$@"; }
+fi
+
+hc keybind Mod4-apostrophe spawn dunstctl close
+hc keybind Mod4-quotedbl spawn dunstctl close-all
+hc keybind Mod4-Control-apostrophe spawn dunstctl history-pop
+hc keybind Mod4-Mod1-apostrophe spawn dunstctl context